@charset "utf-8";

.p-header {
  width: 100%;
  position: fixed;
  top: 0;
  background: var(--color-white);
  z-index: 10;
}

.p-header__inner {
  padding: 16px 145px 16px 30px;
  display: flex;
  align-items: center;
  justify-content: space-between;

  @media (width < 768px) {
    padding: 8px 20px;
  }
}

.p-header__container {
  display: flex;
  align-items: center;
}

.p-header__container:first-of-type {
  gap: 10px;
}

.p-header__container:last-of-type {
  gap: 24px;
  font-family: var(--font-serif);
  font-size: 14px;

  @media (width <= 1120px) {
    display: none;
  }
}

.p-header__logo {
  width: 126px;
  aspect-ratio: 126/43;
}

.p-header__text {
  font-family: var(--font-sans-serif);
  font-size: 11px;
  color: #898989;
  letter-spacing: 0.03em;

  @media (width < 768px) {
    display: none;
  }
}

.p-header__link {
  color: var(--color-black);
  font-size: 13px;
  letter-spacing: 0.05em;
  margin-left: 4px;

  a:hover {
    opacity: 0.7;
  }
}

.p-header__contact {
  @media (width <= 1120px) {
    display: none;
  }
}

.p-header__menu {
  display: flex;
  align-items: center;
  gap: 8px;
  position: fixed;
  top: 20px;
  right: 30px;
  z-index: 20;

  @media (width < 768px) {
    top: 10px;
    right: 20px;
  }
}

.p-header__menu-text {
  color: var(--color-dark-gray);
  font-size: 14px;

  p {
    letter-spacing: 0.05em;
  }
}

.p-header__btn {
  display: block;
  width: 41px;
  aspect-ratio: 1;
  border-radius: 50%;
  border: 1px solid var(--color-dark-gray);
  position: relative;
  cursor: pointer;
}

.p-header__btn.is-open {
  .p-header__bar:first-of-type {
    top: 60%;
    transform: rotate(30deg) translateX(-60%);
  }

  .p-header__bar:last-of-type {
    top: 40%;
    transform: rotate(-30deg) translateX(-60%);
  }
}

.p-header__bar {
  position: absolute;
  width: 14px;
  height: 1px;
  background: var(--color-dark-gray);
  left: 50%;
  transform: translateX(-50%);
  transition: all 0.3s ease;
}

.p-header__bar:first-of-type {
  top: 44%;
}

.p-header__bar:last-of-type {
  top: 56%;
}

.p-drawer {
  position: fixed;
  width: 100%;
  max-width: 320px;
  height: 100vh;
  top: 0px;
  right: -400px;
  overflow: auto;
  transition: all 0.4s ease;
  opacity: 0;
  background: #fff;
  z-index: 15;
}

.gjs-dashed *[data-highlightable] .p-drawer {
  right: 0;
  opacity: 1;
  top: 78px;
}

.p-drawer.is-show {
  opacity: 1;
  right: 0;
}

.p-drawer__inner {
  font-family: var(--font-serif);
  padding: 120px 20px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.p-drawer__link {
  color: var(--color-black);
  font-size: 13px;
  letter-spacing: 0.05em;

  a:hover {
    opacity: 0.7;
  }
}
